import wrapper


def main():
    """
    ApiWrapper example.
    """
    # Initialize ApiWrapper
    api = wrapper.ApiWrapper('https://jsonplaceholder.typicode.com', debug=True)

    # Test get_users method
    try:
        users = api.get_users()
    except wrapper.ApiRequestException as e:
        print(str(e))
    else:
        for user in users:
            print(user)


if __name__ == '__main__':
    main()

